# OnChannelLinkPopupRequest Channel link popup customization
Parameters
    $0 = actual name
    $1 - visible name
    $2 - command name
Window
The window that the user has clicked in
Description
Actual name is equal to the command name if command name is not null. Visible name is the link text (as it shown by user) Command name is set if the visible name differs with the actual link target(probably contains mIRC colors,etc). It is equal to the actual target name. This event is triggered when an user has right clicked on an channel link in the text view. The double click link action is builtin and it causes KVIrc to join the channel (unless the user is already on). This is a good place to show a popup menu with some operations that can be performed with the channel name like bookmarking, joining with a password, performing a who etc...

Index, Events

KVIrc 4.2.0.6190 Documentation
Generated by builduser at Mon Mar 13 18:15:52 2017